@import "../variables.color/variables.color.scss";
@import "../variables.color/variables.fonts.scss";
@import "../variables.color/variables.mixins.scss";
@import "../button.styles.scss/Button.styles.scss";

.main-news-single {
  &-button {
    margin: 0.8em 0;
    padding: 0;
    color: $users-button-bg;
    background: none;
    border: none;
    font-size: 1.1em;
    text-transform: uppercase;
    display: flex;
    align-items: center;
    &:focus {
      outline: 0;
    }
    i {
      margin-right: 0.2em;
      font-size: 1.4em;
    }
    span {
      font-weight: 700;
    }
  }

  &-body {
    &-header {
      margin-bottom: 1em;
      h3 {
        font-size: $h3-size;
        color: $users-single-news-title;
        font-weight: 600;
        margin: 0;
      }
      span {
        font-size: 0.9em;
        color: $users-single-news-title;
      }
    }
    &-content {
      display: flex;
      justify-content: space-between;
      &-picture {
        img {
          border: 1em solid white;
        }
      }
      &-text {
        color: $users-single-news-title;
      }
    }
  }
}
